summaryrefslogtreecommitdiff
path: root/qa/333
diff options
context:
space:
mode:
Diffstat (limited to 'qa/333')
-rwxr-xr-xqa/33344
1 files changed, 44 insertions, 0 deletions
diff --git a/qa/333 b/qa/333
new file mode 100755
index 0000000..bca56dc
--- /dev/null
+++ b/qa/333
@@ -0,0 +1,44 @@
+#! /bin/sh
+# PCP QA Test No. 333
+# Interp mode (similar to qa/097, but with purify) (see also 395)
+#
+# Copyright (c) 1995-2002 Silicon Graphics, Inc. All Rights Reserved.
+#
+
+seq=`basename $0`
+echo "QA output created by $seq"
+
+# get standard filters
+. ./common.product
+. ./common.filter
+. ./common.check
+
+_filter()
+{
+ $PCP_AWK_PROG '
+BEGIN { skip = 1 }
+/^===/ { print; next }
+/ Purify / { skip = 0 }
+/^FIU/ { skip = 2; next }
+/^[^ ]/ && skip == 2 { skip = 0 }
+skip == 0 { print }'
+}
+
+_check_purify src/interp4
+
+status=1 # failure is the default!
+trap "cd $here; rm -rf $tmp; exit \$status" 0 1 2 3 15
+
+# real QA test starts here
+_setup_purify src/interp4
+
+for arch in src/bigbin src/mv-bigbin src/noti-foo
+do
+ echo
+ echo "=== $arch ==="
+ _run_purify -a $here/$arch | _filter
+done
+
+# all done
+status=0
+exit